Đến nội dung


Hình ảnh
- - - - -

Lisp tạo mặt cắt


  • Please log in to reply
8 replies to this topic

#1 buithethanh_a2k30

buithethanh_a2k30

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 20 October 2010 - 10:32 PM

Bạn nào có lisp tạo mắt cắt không vậy, mình đang rất cần. Cảm ơn các bạn nhiều nhé ! :lol:
  • 0

#2 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 21 October 2010 - 12:53 AM

Bạn nào có lisp tạo mắt cắt không vậy, mình đang rất cần. Cảm ơn các bạn nhiều nhé ! :lol:

Bạn cần tạo mặt cắt của cái gì vậy. Bạn nói thế này thì đố ai hiểu được.
  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#3 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 21 October 2010 - 02:36 PM

Chắc ý bạn ý là cái lisp vẽ ra nét cắt bác ạ.Nếu đúng thì của bạn đây.Còn không thì mời bạn nói rõ nguyện vọng,để mọi người hiểu ^^
 (Defun c:nc(/ p1 p2 p3 p4 p5 p6 p11 p12 l ang)
(setq x (getvar "osmode"))
(setq p1 (getpoint "Diem dau: ")
p2 (getpoint p1 "Diem cuoi : "))
(setq l (distance p1 p2))
(setq p11 (polar p1 (angle p2 p1) (/ l 5))
p12 (polar p2 (angle p1 p2) (/ l 5)))
(setq ang (angle p1 p2))
(setq p3 (polar p1 ang (/ l 2.5))
p4 (polar p3 (+ (/ pi 2) ang) (/ l 5))
p5 (polar p3 ang (/ l 5))
p6 (polar p5 (- ang (/ pi 2)) (/ l 5)))
(setvar "osmode" 0)
(command "pline" p11 p3 p4 p6 p5 p12 "")
(setvar "osmode" x)
)

  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#4 buithethanh_a2k30

buithethanh_a2k30

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 27 October 2010 - 08:49 AM

Mình có 1 file 3D mô tả Hố móng công trình mà mình muốn xuất ra các mặt cắt thiff xuất làm sao ấy
  • 0

#5 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 27 October 2010 - 09:59 AM

Ồ,cái đấy sao gọi là lisp tạo mặt cắt được ^^.Mình chưa vẽ 3D bao giờ n mình nghĩ là bạn chọn view 2D theo mặt cắt bạn cần là ra thôi
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#6 kotarohp84

kotarohp84

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 July 2012 - 04:55 PM

Nét cắt ở giữa hơi to, chỉnh nhỏ lại ntn vậy ketxu?
  • 0

#7 romantam

romantam

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 10 July 2012 - 03:06 PM

Sorry Ketxu nha. Mình lấy file nc.lsp của Ketxu chỉnh sửa lại 1 tí. Vẽ nét cắt theo ý muốn
http://www.cadviet.c...5557_nc_mod.lsp

Bài viết đã được chỉnh sửa nội dung bởi romantam: 10 July 2012 - 03:07 PM

  • 1

#8 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 10 July 2012 - 03:30 PM

Sorry Ketxu nha. Mình lấy file nc.lsp của Ketxu chỉnh sửa lại 1 tí. Vẽ nét cắt theo ý muốn
http://www.cadviet.c...5557_nc_mod.lsp


Mình phải cám ơn những người không bị động và nhiệt tình như bạn mới phải chứ - XIn lỗi chi ^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#9 binhminh200669

binhminh200669

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 08 April 2016 - 09:12 AM

http://www.cadviet.c...5/151206_ma.lsp


  • 0